Zonemaster::Engine::Test::Address(3pm)

NAME
Zonemaster::Engine::Test::Address - module implementing tests focused on the Address specific test cases of the DNS tests

SYNOPSIS
    my @results = Zonemaster::Engine::Test::Address->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

tag_descriptions()
    Returns a reference to a hash with translation functions. Used by the builtin translation system.

version()
    Returns a version string for the module.

TESTS

address01($zone)
    Verify that IPv4 addresse are not in private networks.

address02($zone)
    Verify reverse DNS entries exist for nameservers IP addresses.

address03($zone)
    Verify that reverse DNS entries match nameservers names.

find_special_address($ip)
    Verify that an address (Net::IP::XS) given is a special (private, reserved, ...) one.